All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::bind_to_handle Class Reference

`#include <forwards.h>`

Inheritance diagram for viennacl::device_specific::bind_to_handle:

## Public Member Functions

| bind_to_handle ()
bool | bind (viennacl::backend::mem_handle const *ph)
unsigned int | get (viennacl::backend::mem_handle const *ph)
Public Member Functions inherited from viennacl::device_specific::symbolic_binder
virtual | ~symbolic_binder ()

## Detailed Description

Definition at line 224 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::device_specific::bind_to_handle::bind_to_handle | ( |  | ) |

inline

Definition at line 227 of file forwards.h.

## Member Function Documentation

bool viennacl::device_specific::bind_to_handle::bind | ( | viennacl::backend::mem_handle const * | ph | ) |

inline virtual

Implements viennacl::device_specific::symbolic_binder.

Definition at line 228 of file forwards.h.

unsigned int viennacl::device_specific::bind_to_handle::get | ( | viennacl::backend::mem_handle const * | ph | ) |

inline virtual

Implements viennacl::device_specific::symbolic_binder.

Definition at line 229 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/device_specific/forwards.h